#
# spec file for package perl-Test2-Tools-FFI (Version 0.06)
#
# Copyright (c) 125 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define cpan_name Test2-Tools-FFI
Name:           perl-Test2-Tools-FFI
Version:        0.06
Release:        0%{?autorelease}
License:   Artistic-1.0 or GPL-1.0-or-later
Summary:        Tools for testing FFI
Url:            https://metacpan.org/release/%{cpan_name}
Source0:         https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{cpan_name}-%{version}.tar.gz
Source1:     cpanspec.yml
Patch0:   fix-simple.c.patch
BuildRequires:  perl-macros-suse
BuildRequires:  perl-generators
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 7.30
BuildRequires:  perl(FFI::Build) >= 0.84
BuildRequires:  perl(FFI::Build::MM) >= 0.84
BuildRequires:  perl(FFI::CheckLib) >= 0.11
BuildRequires:  perl(FFI::Platypus) >= 1.00
BuildRequires:  perl(File::ShareDir::Dist)
BuildRequires:  perl(File::ShareDir::Install) >= 0.06
BuildRequires:  perl(Test2::API) >= 1.302015
BuildRequires:  perl(Test2::EventFacet::Trace)
BuildRequires:  perl(Test2::V0) >= 0.000121
BuildRequires:  gcc
BuildRequires:  make
Requires:       perl(Capture::Tiny)
Requires:       perl(FFI::Build::MM)
Requires:       perl(FFI::CheckLib) >= 0.11
Requires:       perl(FFI::Platypus) >= 1.00
Requires:       perl(File::ShareDir::Dist)
Requires:       perl(Test2::API) >= 1.302015
Requires:       perl(Test2::EventFacet::Trace)
%{?perl_requires}

%description
This Test2 Tools module provide some basic tools for testing FFI modules.

%prep
%autosetup  -n %{cpan_name}-%{version} -p1

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
